import request from '@/utils/request'

// 查询APS工位信息列表
export function listWorkstation(query) {
  return request({
    url: '/aps_workstation/workstation/list',
    method: 'get',
    params: query
  })
}

// 查询APS工位信息详细
export function getWorkstation(sequenceId) {
  return request({
    url: '/aps_workstation/workstation/' + sequenceId,
    method: 'get'
  })
}

// 新增APS工位信息
export function addWorkstation(data) {
  return request({
    url: '/aps_workstation/workstation',
    method: 'post',
    data: data
  })
}

// 修改APS工位信息
export function updateWorkstation(data) {
  return request({
    url: '/aps_workstation/workstation',
    method: 'put',
    data: data
  })
}

// 删除APS工位信息
export function delWorkstation(sequenceId) {
  return request({
    url: '/aps_workstation/workstation/' + sequenceId,
    method: 'delete'
  })
}
